package com.allinpay.demo.xstruct.quickpay;
/**
 * @Description
 * @Author meixf@allinpay.com
 * @Date 2021年12月17日
 **/
public class PROTOCOLREQ {

    private String MERCHANT_ID;// 商户代码
    private String SUBMIT_TIME;// 申请时间  YYYYMMDDHHMMSS
    private String SIGN_MODE;//  签约模式  0快捷签约 1一键绑卡

    private String BANK_CODE;//   银行代码
    private String ACCOUNT_TYPE;//    账号类型  00借记卡，02信用卡。不填默认为借记卡00。
    private String ACCOUNT_NO;//  账号
    
    private String CREDIT_ACCT_NO;//信用卡卡号
    private String CREDIT_BANK_CODE;//信用卡银行代码
    
    private String ACCOUNT_NAME;//    账号名
    private String ACCOUNT_PROP;//    账号属性  0私人，1公司。不填时，默认为私人0
    private String ID_TYPE;// 开户证件类型
    private String ID;//  证件号
    private String TEL;// 手机号
    private String  NOTIFYURL;// 异步通知
    private String CVV2;
    private String VALIDDATE;

    //签约业务参数
    private String EXPIRED;//协议失效日 yyyyMMdd
    private String SINGLEMAXAMT;
    private String PERIOD_UNIT;//扣款时间单位 00-年  04-月  07-日
    private String MAX_CNT_LIMIT;//单位时间内扣款次数
    
    private String MERREM;//  商户保留信息
    private String REMARK;//  备注
    private String BACKURL;// 跳转地址
    
    public String getMERCHANT_ID() {
        return MERCHANT_ID;
    }
    public void setMERCHANT_ID(String mERCHANT_ID) {
        MERCHANT_ID = mERCHANT_ID;
    }
    public String getSUBMIT_TIME() {
        return SUBMIT_TIME;
    }
    public void setSUBMIT_TIME(String sUBMIT_TIME) {
        SUBMIT_TIME = sUBMIT_TIME;
    }
    public String getSIGN_MODE() {
        return SIGN_MODE;
    }
    public void setSIGN_MODE(String sIGN_MODE) {
        SIGN_MODE = sIGN_MODE;
    }
    public String getBANK_CODE() {
        return BANK_CODE;
    }
    public void setBANK_CODE(String bANK_CODE) {
        BANK_CODE = bANK_CODE;
    }
    public String getACCOUNT_TYPE() {
        return ACCOUNT_TYPE;
    }
    public void setACCOUNT_TYPE(String aCCOUNT_TYPE) {
        ACCOUNT_TYPE = aCCOUNT_TYPE;
    }
    public String getACCOUNT_NO() {
        return ACCOUNT_NO;
    }
    public void setACCOUNT_NO(String aCCOUNT_NO) {
        ACCOUNT_NO = aCCOUNT_NO;
    }
    public String getACCOUNT_NAME() {
        return ACCOUNT_NAME;
    }
    public void setACCOUNT_NAME(String aCCOUNT_NAME) {
        ACCOUNT_NAME = aCCOUNT_NAME;
    }
    public String getACCOUNT_PROP() {
        return ACCOUNT_PROP;
    }
    public void setACCOUNT_PROP(String aCCOUNT_PROP) {
        ACCOUNT_PROP = aCCOUNT_PROP;
    }
    public String getID_TYPE() {
        return ID_TYPE;
    }
    public void setID_TYPE(String iD_TYPE) {
        ID_TYPE = iD_TYPE;
    }
    public String getID() {
        return ID;
    }
    public void setID(String iD) {
        ID = iD;
    }
    public String getTEL() {
        return TEL;
    }
    public void setTEL(String tEL) {
        TEL = tEL;
    }
    public String getMERREM() {
        return MERREM;
    }
    public void setMERREM(String mERREM) {
        MERREM = mERREM;
    }
    public String getREMARK() {
        return REMARK;
    }
    public void setREMARK(String rEMARK) {
        REMARK = rEMARK;
    }
    public String getBACKURL() {
        return BACKURL;
    }
    public void setBACKURL(String bACKURL) {
        BACKURL = bACKURL;
    }
    public String getCREDIT_ACCT_NO() {
        return CREDIT_ACCT_NO;
    }
    public void setCREDIT_ACCT_NO(String cREDIT_ACCT_NO) {
        CREDIT_ACCT_NO = cREDIT_ACCT_NO;
    }
    public String getCREDIT_BANK_CODE() {
        return CREDIT_BANK_CODE;
    }
    public void setCREDIT_BANK_CODE(String cREDIT_BANK_CODE) {
        CREDIT_BANK_CODE = cREDIT_BANK_CODE;
    }
    public String getCVV2() {
        return CVV2;
    }
    public void setCVV2(String cVV2) {
        CVV2 = cVV2;
    }
    public String getVALIDDATE() {
        return VALIDDATE;
    }
    public void setVALIDDATE(String vALIDDATE) {
        VALIDDATE = vALIDDATE;
    }
    public String getEXPIRED() {
        return EXPIRED;
    }
    public void setEXPIRED(String eXPIRED) {
        EXPIRED = eXPIRED;
    }
    public String getSINGLEMAXAMT() {
        return SINGLEMAXAMT;
    }
    public void setSINGLEMAXAMT(String sINGLEMAXAMT) {
        SINGLEMAXAMT = sINGLEMAXAMT;
    }
    public String getPERIOD_UNIT() {
        return PERIOD_UNIT;
    }
    public void setPERIOD_UNIT(String pERIOD_UNIT) {
        PERIOD_UNIT = pERIOD_UNIT;
    }
    public String getMAX_CNT_LIMIT() {
        return MAX_CNT_LIMIT;
    }
    public void setMAX_CNT_LIMIT(String mAX_CNT_LIMIT) {
        MAX_CNT_LIMIT = mAX_CNT_LIMIT;
    }
	public String getNOTIFYURL() {
		return NOTIFYURL;
	}
	public void setNOTIFYURL(String nOTIFYURL) {
		NOTIFYURL = nOTIFYURL;
	}

    
    
}
